#ifndef NSSTEST_H
#define NSSTEST_H

#include <QTemporaryFile>
#include <QTemporaryDir>
#include <QObject>

#include "certificatelist.h"

class NSSTest: public QObject
{
    Q_OBJECT

    QTemporaryDir fakeHome;
    QDir fakeFirefoxDir;
    QDir fakeThunderbirdDir;
    QTemporaryDir nssDir;
    CertificateList validList;
    QTemporaryFile validListFile;

private Q_SLOTS:
    void initTestCase();
    void testInstRemove();
};

#endif // NSSTEST_H
